/* convert.rexx
 *
 * Autor: Thies Wellpott
 * Version: 1.0 (2.7.1994)
 *
 * Konvertiert Simulationen von GraviSimu 1.0 in Simulationen, die von
 * GraviSimu 1.1 gelesen werden knnen
 * Maximallnge der zu konvertierenden Datei betrgt 65500 Bytes
 * - dies sollte reichen :)
 *
 * Aufruf: rx convert Dateiname
 */

Parse Arg srcname

IF srcname = "" THEN
DO
   Say "Aufruf: rx convert Dateiname"
   Exit 1
END

IF ~Open(fhd, srcname, "R") THEN
DO
   Say 'Kann "'srcname'" nicht lesen!'
   Exit 5
END

a = ReadLn(fhd)
IF a ~= "GRAVISIMU 4" THEN
DO
   Say '"'srcname'" enthlt keine GraviSimu1.0-Simulation!'
   Exit 5
END

a = ReadCh(fhd, 65500)
Call Close(fhd)

IF ~Open(fhd, srcname, "W") THEN
DO
   Say 'Kann "'srcname'" nicht schreiben!'
   Exit 5
END

IF WriteCh(fhd, 'GS' || '00'X || '01'X) ~= 4 THEN
DO
   Say 'Fehler beim Schreiben von "'scrname'" !'
   Exit 5
END

IF WriteCh(fhd, a) ~= Length(a) THEN
DO
   Say 'Fehler beim Schreiben von "'scrname'" !'
   Exit 5
END

Call Close(fhd)

Exit

